Bug 1344920 - KDM uses f23-kdm-theme but not installed by default so KDM not working
Summary: KDM uses f23-kdm-theme but not installed by default so KDM not working
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-workspace
Version: 24
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-12 15:10 UTC by Dr. Tilmann Bubeck
Modified: 2016-06-18 18:32 UTC (History)
7 users (show)

Fixed In Version: kde-workspace-4.11.22-16.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-18 18:32:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Dr. Tilmann Bubeck 2016-06-12 15:10:35 UTC
Description of problem:
When you install KDM with "dnf install kdm" you will also get "kdm-settings" which contains

/etc/kde/kdm/kdmrc:Theme=/usr/share/kde4/apps/kdm/themes/F23

BUT you do not get /usr/share/kde4/apps/kdm/themes/F23 which is part of f23-kdm-theme which is not installed by default or by dependency.

So KDM does not start, but shows an error dialog about the above file missing.

Version-Release number of selected component (if applicable):
kde-workspace-4.11.22-13.fc24

How reproducible:
always

Steps to Reproduce:
1. dnf install kdm
2. systemctl disable gdm ; systemctl disable sddm
3. systemctl enable kdm
4. reboot

Actual results:
An error dialog of KDM saying: /usr/share/kde4/apps/kdm/themes/F23 not found

Expected results:
KDM working

Additional info:

Comment 1 Fedora Update System 2016-06-13 14:30:50 UTC
kde-workspace-4.11.22-16.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e8ad31da94

Comment 2 Fedora Update System 2016-06-13 15:57:01 UTC
kde-workspace-4.11.22-16.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e8ad31da94

Comment 3 Fedora Update System 2016-06-18 18:32:08 UTC
kde-workspace-4.11.22-16.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.